JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces
juce_CIProfileStates.h File Reference

## Classes
struct | juce::midi_ci::ProfileStateEntry
| Holds a profile ID, along with the number of supported and active channels corresponding to that profile. More...
class | juce::midi_ci::ChannelProfileStates
| Holds the number of channels that are supported and activated for all profiles at a particular channel address. More...
class | juce::midi_ci::GroupProfileStates
| Contains profile states for each channel in a group, along with the state of profiles that apply to the group itself. More...
class | juce::midi_ci::BlockProfileStates
| Contains profile states for each group and channel in a function block, along with the state of profiles that apply to the function block itself. More...

## Namespaces
namespace | juce
namespace | juce::midi_ci